This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 839976 - (CVE-2012-3382) CVE-2012-3382 mono: XSS in ProcessRequest function
CVE-2012-3382 mono: XSS in ProcessRequest function
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20120706,repor...
: Security
Depends On: 839978 839979
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-13 06:54 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:57 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-07-13 06:54:51 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2012-3382 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in the ProcessRequest function in mcs/class/System.Web/System.Web/HttpForbiddenHandler.cs in Mono 2.10.8 and earlier allows remote attackers to inject arbitrary web script or HTML via a file with a crafted name and a forbidden extension, which is not properly handled in an error message.

References:
[1] http://www.openwall.com/lists/oss-security/2012/07/06/11
[2] https://bugzilla.novell.com/show_bug.cgi?id=769799

Upstream patch:
[3] https://github.com/mono/mono/commit/d16d4623edb210635bec3ca3786481b82cde25a2
Comment 1 Jan Lieskovsky 2012-07-13 06:57:13 EDT
This issue affects the (current) versions of the mono package, as shipped with Fedora release of 16 and 17. Please schedule an update.

--

This issue affects the (current) version of the mono package, as shipped with Fedora EPEL 6. Please schedule an update.

--

This issue did NOT affect the (current) version of the mono package, as shipped with Fedora EPEL 5, as the ProcessRequest() routine implementation in this version did NOT introduce the vulnerable code part yet.
Comment 2 Jan Lieskovsky 2012-07-13 06:57:59 EDT
Created mono tracking bugs for this issue

Affects: fedora-all [bug 839978]
Affects: epel-6 [bug 839979]

Note You need to log in before you can comment on or make changes to this bug.